Bug 1009507 - Missing run requires for perl516-perl-IPC-Cmd - needs perl516-perl(Module::Load::Conditional)
Missing run requires for perl516-perl-IPC-Cmd - needs perl516-perl(Module::Lo...
Status: CLOSED ERRATA
Product: Red Hat Software Collections
Classification: Red Hat
Component: perl-IPC-Cmd (Show other bugs)
perl516
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.1
Assigned To: perl-maint-list
Martin Kyral
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 10:49 EDT by jcpunk
Modified: 2014-06-04 03:20 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl516-perl-IPC-Cmd-0.80-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-04 03:20:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0613 normal SHIPPED_LIVE perl516 bug fix and enhancement update 2014-06-04 06:59:05 EDT

  None (edit)
Description jcpunk 2013-09-18 10:49:20 EDT
Description of problem: %build requires Module/Load/Conditional.pm which is provided by perl516-perl-Module-Load-Conditional-0.46-12.el6

Version-Release number of selected component (if applicable):perl516-perl-Socket-2.009-1.el6


How reproducible: 100%


Steps to Reproduce:
1. build with mock, populating only what is required by the rpm
2. %build fails

Actual results:
Can't locate Module/Load/Conditional.pm in @INC (@INC contains: /opt/rh/perl516/root/usr/local/lib64/perl5 /opt/rh/perl516/root/usr/local/share/perl5 /opt/rh/perl516/root/usr/lib64/perl5/vendor_perl /opt/rh/perl516/root/usr/share/perl5/vendor_perl /opt/rh/perl516/root/usr/lib64/perl5 /opt/rh/perl516/root/usr/share/perl5 .) at /opt/rh/perl516/root/usr/share/perl5/vendor_perl/IPC/Cmd.pm line 50.
BEGIN failed--compilation aborted at /opt/rh/perl516/root/usr/share/perl5/vendor_perl/IPC/Cmd.pm line 50.
Compilation failed in require at /opt/rh/perl516/root/usr/share/perl5/ExtUtils/CBuilder/Base.pm line 11.
BEGIN failed--compilation aborted at /opt/rh/perl516/root/usr/share/perl5/ExtUtils/CBuilder/Base.pm line 11.
Compilation failed in require at /opt/rh/perl516/root/usr/share/perl5/ExtUtils/CBuilder/Platform/Unix.pm line 4.
BEGIN failed--compilation aborted at /opt/rh/perl516/root/usr/share/perl5/ExtUtils/CBuilder/Platform/Unix.pm line 4.
Compilation failed in require at (eval 6) line 2.
BEGIN failed--compilation aborted at (eval 6) line 2.
Compilation failed in require at Makefile.PL line 19.
error: Bad exit status from /var/tmp/rpm-tmp.dkJ9WP (%build)

Expected results:
Required RPMs for building should be required
BuildRequires: perl516-perl(Module::Load::Conditional) 
should be added

Additional info:
Comment 2 Jitka Plesnikova 2013-09-24 07:47:47 EDT
Bug is related to missing run-requires of perl-IPC-Cmd.
Comment 6 errata-xmlrpc 2014-06-04 03:20:40 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0613.html

Note You need to log in before you can comment on or make changes to this bug.